
local MAJOR = "LibScriptableDisplayPluginUnitControl-1.0" 
local MINOR = 14
assert(LibStub, MAJOR.." requires LibStub") 
local PluginUnitControl = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginUnitControl then return end
local UnitControl = LibStub("LibUnitControl-1.0")
assert(UnitControl, MAJOR .. " requires LibUnitControl-1.0")

-- Create a new plugin
-- @usage :New(environment)
-- @return A new PluginUnitControl object - populates an environment with functions
function PluginUnitControl:New(environment)

	environment.GetEffectMaskByName = UnitControl.GetEffectMaskByName
	environment.GetSpellEffectFlag = UnitControl.GetSpellEffectFlag
	environment.SpellHasEffectName = UnitControl.SpellHasEffectName
	environment.GetUnitEffectMask = UnitControl.GetUnitEffectMask
	environment.UnitHasEffectMask = UnitControl.UnitHasEffectMask
	environment.UnitHasEffectName = UnitControl.UnitHasEffectName
	environment.UnitSlotIsDisarmed = UnitControl.UnitSlotIsDisarmed
	environment.UnitHasControl = UnitControl.UnitHasControl
	environment.UnitIsBanished = UnitControl.UnitIsBanished
	environment.UnitIsCharmed = UnitControl.UnitIsCharmed
	environment.UnitIsConfused = UnitControl.UnitIsConfused
	environment.UnitIsDisoriented = UnitControl.UnitIsDisoriented
	environment.UnitIsFeared = UnitControl.UnitIsFeared
	environment.UnitIsFrozen = UnitControl.UnitIsFrozen
	environment.UnitIsHorrified = UnitControl.UnitIsHorrified
	environment.UnitIsIncapacitated = UnitControl.UnitIsIncapacitated
	environment.UnitIsPolymorphed = UnitControl.UnitIsPolymorphed
	environment.UnitIsSapped = UnitControl.UnitIsSapped
	environment.UnitIsShackled = UnitControl.UnitIsShackled
	environment.UnitIsAsleep = UnitControl.UnitIsAsleep
	environment.UnitIsStunned = UnitControl.UnitIsStunned
	environment.UnitIsTurned = UnitControl.UnitIsTurned
	environment.UnitIsDisarmed = UnitControl.UnitIsDisarmed
	environment.UnitIsPacified = UnitControl.UnitIsPacified
	environment.UnitIsRooted = UnitControl.UnitIsRooted
	environment.UnitIsSilenced = UnitControl.UnitIsSilenced
	environment.UnitIsEnsnared = UnitControl.UnitIsEnsnared

	return environment
end
